using System;

namespace gg
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int x = int.Parse(s[0]);
            int y = int.Parse(s[1]);
            bool prvi = x == a;
            bool drugi = y == b;
            if (!prvi && !drugi)
            {
                Console.WriteLine("?");
            }
            else if (prvi && drugi)
            {
                Console.WriteLine("nijedan");
            }
            else if (prvi && !drugi)
            {
                Console.WriteLine("drugi");
            }
            else { 
                Console.WriteLine("prvi");
            }
            Console.ReadLine();
        }
    }
}